<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\KursUebersicht\Anwesenheiten\ShowFilterAnwesenheiten;

class ShowFilterAnwesenheitenUseCase extends \Kufer\Web\KuferTools\Basis\AnwesenheitenKurs\ShowFilterAnwesenheiten\ShowFilterAnwesenheitenUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSPLANUNG_MA; 
  }

  public static function getToolSectionId()
  {
    return 380;
  }

  public function hasAccess($pToolSectionId = null)
  {
    if (!parent::hasAccess()) {
      return false;
    }
    if (!$this->isRechtAllowed($this->getToolSectionId() . '.0.2')) {
      return false;
    }

    return true;
  }
}